Package twisted :: Package enterprise :: Module dbgadgets :: Class PerspectivesGadget

[show private | hide private]
[frames | no frames]

## Class PerspectivesGadget

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                        Gadget --+
                                 |
                        Widget --+
                                 |
                                PerspectivesGadget

Method Summary
| `__init__(self, authorizer)`
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget. (inherited from `Gadget`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| ``display`(self, request)` Display the intro list of forums.
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me. (inherited from `Gadget`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` (internal) Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| `getTitle(self, request)` (inherited from `Widget`)
| `getWidget(self, path, request)` (inherited from `Gadget`)
| `gotPerspectives(self, data)`
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``listEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs). (inherited from `Gadget`)
| ``putChild`(self, path, child)` Register a child with me. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget. (inherited from `Gadget`)
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget. (inherited from `Gadget`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` Render a given resource. (inherited from `Gadget`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)

Class Variable Summary
`string` | `title`

Method Details

### display(self, request)

Display the intro list of forums. This is only called if there is no URI.

Class Variable Details

### title

  Type:
    `string`
  Value:

        ' '

Generated by Epydoc 1.1 on Sat Feb 15 21:19:01 2003 | http://epydoc.sf.net